Index: other-projects/nz-flag-design/trunk/render-3d/CSS/slider.css
===================================================================
--- other-projects/nz-flag-design/trunk/render-3d/CSS/slider.css	(revision 29693)
+++ other-projects/nz-flag-design/trunk/render-3d/CSS/slider.css	(revision 29694)
@@ -2,13 +2,11 @@
 	width: 50vw;
 	height: 50px;
-	position: relative;
-	margin: 0 auto;
-	margin-top: 20px;
+	position: absolute;
+	margin: 0;
+	margin-top: 15px;
+	left: 25vw;
 	background: url('../images/slider-graphics.png') no-repeat left top;
-	background-color: transparent;
 	border: none;
-	border-color: transparent;
 	outline: 0;
-	color: transparent;
 	z-index: 0;
 }  
@@ -29,5 +27,5 @@
 	position: absolute;
 	background: url('../images/speed-full.png') no-repeat left top;
-	opacity: 0.5; 
+	opacity: 0.7; 
 	border: none;
 	outline: 0;
@@ -35,7 +33,8 @@
 
 #speed .ui-slider-handle{
-	width: 38px;
-	height: 39px;
-	background: url('../images/slider-knob.png') no-repeat left top;
+	width: 50px; 
+	height: 39px; 
+	background: url('../images/wind-symbol.png') no-repeat center;
+	background-size: cover;
 	position: absolute;
 	margin-left: -15px;
Index: other-projects/nz-flag-design/trunk/render-3d/Flag_files/Flag.js
===================================================================
--- other-projects/nz-flag-design/trunk/render-3d/Flag_files/Flag.js	(revision 29693)
+++ other-projects/nz-flag-design/trunk/render-3d/Flag_files/Flag.js	(revision 29694)
@@ -269,7 +269,7 @@
 		particle.addForce(gravity);
 		//
-		var x = particle.position.x, y = particle.position.y, z = particle.position.z, t=Date.now() / 1000;
+		//var x = particle.position.x, y = particle.position.y, z = particle.position.z, t=Date.now() / 1000;
 		//windForce.set(Math.sin(x*y*t), Math.cos(z*t), Math.sin(Math.cos(5*x*y*z))).multiplyScalar(0);
-		particle.addForce(windForce);
+		//particle.addForce(windForce);
 		particle.integrate(TIMESTEP_SQ);
 	}
@@ -291,12 +291,9 @@
 
 	// Pin Constrains
-	if(Boolean(pinning)){
-		for (i=0, il=pins.length;i<il;i++) {
-			var xy = pins[i];
-			var p = particles[xy];
-			p.position.copy(p.original);
-			p.previous.copy(p.original);
-		}
-	}
-
-}
+	for (i=0, il=pins.length;i<il;i++) {
+		var xy = pins[i];
+		var p = particles[xy];
+		p.position.copy(p.original);
+		p.previous.copy(p.original);
+	}
+}
Index: other-projects/nz-flag-design/trunk/render-3d/Flag_files/slider.js
===================================================================
--- other-projects/nz-flag-design/trunk/render-3d/Flag_files/slider.js	(revision 29693)
+++ other-projects/nz-flag-design/trunk/render-3d/Flag_files/slider.js	(revision 29694)
@@ -1,11 +1,11 @@
 jQuery(document).ready(function ($) {
 	$("#speed").slider({
-		min: 0,
-		max: 100,
-		value: 0,
+		min: 25,
+		max: 300,
+		value: 100,
 		animate: true,
 		range: 'min',
 		slide: function(event, ui) {
-			setSpeed(ui.value/100);
+			setSpeed(ui.value);
 		}
 	});	
@@ -20,5 +20,5 @@
 	
 	function setSpeed(speed){
-		windForce.set(speed,100,speed);
+		windStrength = speed;
 	}
 });
Index: other-projects/nz-flag-design/trunk/render-3d/flag.html
===================================================================
--- other-projects/nz-flag-design/trunk/render-3d/flag.html	(revision 29693)
+++ other-projects/nz-flag-design/trunk/render-3d/flag.html	(revision 29694)
@@ -13,5 +13,5 @@
 			body {
 				font-family: Monospace;
-				background-color: #000;
+				background-color: transparent;
 				color: #000;
 				margin: 0px;
@@ -124,5 +124,5 @@
 		
 		<script type="x-shader/x-fragment" id="fragmentShaderDepth">
-
+		
 			uniform sampler2D texture;
 			varying vec2 vUV;
@@ -227,5 +227,6 @@
 				container = document.createElement( 'div' );
 				document.body.appendChild( container );
-					
+				
+				windStrength = 100;
 				
 				// scene
@@ -363,5 +364,5 @@
 				//
 
-				stats = new Stats();
+				/*stats = new Stats();
 				stats.domElement.style.position = 'absolute';
 				stats.domElement.style.top = '0px';
@@ -370,5 +371,5 @@
 				stats.domElement.children[ 0 ].children[ 0 ].style.color = "#aaa";
 				stats.domElement.children[ 0 ].style.background = "transparent";
-				stats.domElement.children[ 0 ].children[ 1 ].style.display = "none";
+				stats.domElement.children[ 0 ].children[ 1 ].style.display = "none";*/
 
 				//
@@ -465,6 +466,6 @@
 
 				var time = Date.now();
-				
-				windStrength = Math.cos( time / 7000 ) * 100 + 200;
+
+				//windStrength = Math.cos( time / 7000 ) * 100 + 200;
 				windForce.set( 1000,500,Math.sin( time / 1000 ) ).normalize().multiplyScalar( windStrength );
 				arrow.setLength( windStrength );
@@ -474,5 +475,5 @@
 				simulate(time);
 				render();
-				stats.update();
+				//stats.update();
 
 			}
@@ -521,4 +522,5 @@
 		
 		</script>
-		
-</body></html>
+
+	</body>
+</html>
Index: other-projects/nz-flag-design/trunk/render-3d/weather/rain.js
===================================================================
--- other-projects/nz-flag-design/trunk/render-3d/weather/rain.js	(revision 29693)
+++ other-projects/nz-flag-design/trunk/render-3d/weather/rain.js	(revision 29694)
@@ -14,5 +14,5 @@
 	
 		// create the particle variables
-		this.particleCount = 3500,
+		this.particleCount = 10000,
 		this.particles = new THREE.Geometry(),
 		this.pMaterial = new THREE.ParticleBasicMaterial({
@@ -32,7 +32,7 @@
             // create a particle with random
             // position values, -250 -> 250
-			var pX = (Math.random() * 3000) - 1500,
-				pY = Math.random() * window.innerHeight * 3 - window.innerHeight,
-				pZ = (Math.random() * 3000) - 1500;
+			var pX = (Math.random() * 10000) - 5000,
+				pY = Math.random() * window.innerHeight * 6 - window.innerHeight,
+				pZ = (Math.random() * 10000) - 5000;
 				this.particle = new THREE.Vector3(pX, pY, pZ);	
 
@@ -72,8 +72,8 @@
 			// check if we need to reset
 			if(this.particle.y < -10) {
-				this.particle.y = (window.innerHeight*2)+(Math.random() * 100);
+				this.particle.y = (window.innerHeight*6)+(Math.random() * 100);
 				this.particle.velocity.y = 0;
-				this.particle.x = (Math.random() * 4000) - 2000;
-				this.particle.z = (Math.random() * 4000) - 2000;
+				this.particle.x = (Math.random() * 10000) - 5000;
+				this.particle.z = (Math.random() * 10000) - 5000;
 
 			}
Index: other-projects/nz-flag-design/trunk/render-3d/weather/snow.js
===================================================================
--- other-projects/nz-flag-design/trunk/render-3d/weather/snow.js	(revision 29693)
+++ other-projects/nz-flag-design/trunk/render-3d/weather/snow.js	(revision 29694)
@@ -14,5 +14,5 @@
 		
 			// create the particle variables
-			this.particleCount = 3000,
+			this.particleCount = 6000,
 			this.particles = new THREE.Geometry(),
 			
@@ -33,7 +33,7 @@
 				// create a particle with random
 				// position values
-				var pX = (Math.random() * 3000) - 1500,
-					pY = Math.random() * window.innerHeight * 3 - window.innerHeight,
-					pZ = (Math.random() * 3000) - 1500;
+				var pX = (Math.random() * 10000) - 5000,
+					pY = Math.random() * window.innerHeight * 6 - window.innerHeight,
+					pZ = (Math.random() * 10000) - 5000;
 					this.particle = new THREE.Vector3(pX, pY, pZ);	
 				
@@ -75,8 +75,8 @@
 				// check if we need to reset
 				if(this.particle.y < -10) {
-					this.particle.y = (window.innerHeight*2)+(Math.random() * 100);
+					this.particle.y = (window.innerHeight*6)+(Math.random() * 100);
 					this.particle.velocity.y = 0;
-					this.particle.x = (Math.random() * 4000) - 2000;
-					this.particle.z = (Math.random() * 4000) - 2000;
+					this.particle.x = (Math.random() * 10000) - 5000;
+					this.particle.z = (Math.random() * 10000) - 5000;
 
 				}