Index: other-projects/nz-flag-design/trunk/render-3d/flag.html
===================================================================
--- other-projects/nz-flag-design/trunk/render-3d/flag.html	(revision 29695)
+++ other-projects/nz-flag-design/trunk/render-3d/flag.html	(revision 29696)
@@ -10,69 +10,80 @@
 			<link rel="stylesheet" type="text/css" href="CSS/button.css">
 			<link href='http://fonts.googleapis.com/css?family=Permanent+Marker' rel='stylesheet' type='text/css'>
-		<style>
-			body {
-				font-family: Monospace;
-				background-color: transparent;
-				color: #000;
-				margin: 0px;
-				overflow: hidden;
-				position: fixed;
-			}
-			
-			#menuContainer{
-				position: fixed;
-				right: -18vw;
-				float: right;
-				width: 25vw;
-				transition: right 0.5s;
-				background-image: url("./images/slider.png");
-				background-size: cover;
-				background-position: center;
-			}
-
-			#weatherMenu {
-				text-align: center;
-				padding: 0px;
-				width: 20vw;
-				z-index: 10;
-				height: 100vh;
-				position: relative;
-				float: right;
-			}
-			
-			#arrow{
-				float: left;
-				background-image: url("./images/arrow.png");
-				background-position: center;
-				background-size: cover;
-				background-repeat: no-repeat;
-				margin: auto;
-				right: 1vw;
-				width: 5vw;
-				height: 5vw;
-				position: relative;
-				border-radius: 100%;
-				top: 45vh;
-				z-index: 9;
-				transition: transform 0.5s;
-				transform: rotate(360deg);
-			}
-			
-		</style>
-	<style type="text/css"></style></head>
+			<style>
+				body {
+					font-family: Monospace;
+					background-color: transparent;
+					color: #000;
+					margin: 0px;
+					overflow: hidden;
+					position: fixed;
+				}
+				
+				#menuContainer{
+					position: fixed;
+					right: -18vw;
+					float: right;
+					width: 25vw;
+					transition: right 0.5s;
+					background-image: url("./images/slider.png");
+					background-size: cover;
+					background-position: center;
+				}
+
+				#weatherMenu {
+					text-align: center;
+					padding: 0px;
+					width: 20vw;
+					z-index: 10;
+					height: 100vh;
+					position: relative;
+					float: right;
+				}
+				
+				#arrow{
+					float: left;
+					background-image: url("./images/arrow.png");
+					background-position: center;
+					background-size: cover;
+					background-repeat: no-repeat;
+					margin: auto;
+					right: 1vw;
+					width: 5vw;
+					height: 5vw;
+					position: relative;
+					border-radius: 100%;
+					top: 45vh;
+					z-index: 9;
+					transition: transform 0.5s;
+					transform: rotate(360deg);
+				}
+				
+			</style>
+		</head>
 	
 	<body>
 		
+		<!----------------------------- Weather Menu ----------------------------------->
+		<!------------------------------------------------------------------------------>
+		
 		<div id="menuContainer">
-			<div id="weatherMenu" style="color : white">
-				<!--Toggle: 
-				<a onclick="wind = !wind;">Wind</a> |-->
+		
+			<div id="weatherMenu">
 				<a class="myButton" style="background-image:url('./images/sunButton.jpg')" onclick="sunny = !sunny;"></a>
 				<a class="myButton" style="background-image:url('./images/rainButton.jpg')" onclick="raining = !raining;"></a>
 				<a class="myButton" style="background-image:url('./images/snowButton.jpg')" onclick="snowing = !snowing;"></a>
 			</div>
-			<div id="arrow" onclick="openclose()">
-			</div>
+			
+			<div id="arrow" onclick="openclose()"></div>
+			
 		</div>
+		
+		<!------------------------------------------------------------------------------>
+		<!------------------------------------------------------------------------------>
+		
+		
+		
+		<!-------------------------- Wind Speed Control -------------------------------->
+		<!------------------------------------------------------------------------------>
 		
 		<div id="slider">
@@ -82,14 +93,14 @@
 		<link rel="stylesheet" href="./CSS/slider.css" />
 		
+		<!------------------------------------------------------------------------------>
+		<!------------------------------------------------------------------------------>
+		
+		
+		
+		<!----------------- Opening of the weather menu -------------------------------->
+		<!----------------- slides out from right to left ------------------------------>
 		<script type="text/javascript">
-			
-			/*			 	JQUERY SLIDER					*/
-			
-			
-			
-			
-			/*----------------------------------------------*/
-		
 			var open = false;
+			
 			function openclose(){
 				if (open){
@@ -99,8 +110,10 @@
 					document.getElementById("arrow").style.transform = "rotate(180deg)";
 				}
-				open = !open;
-				
+				open = !open;	
 			}
 		</script>
+		<!------------------------------------------------------------------------------>
+		<!------------------------------------------------------------------------------>
+		
 		
 		<script type="text/javascript" src="../js/jquery-1.11.1.js"></script>
@@ -184,4 +197,5 @@
 			var snowing = false;
 			var sunny = false;
+			var visible = true;
 			
 			var snowSystem;