Index: /main/trunk/gli/lib/README.txt
===================================================================
--- /main/trunk/gli/lib/README.txt	(revision 29729)
+++ /main/trunk/gli/lib/README.txt	(revision 29729)
@@ -0,0 +1,47 @@
+GLI's apache.jar is a custom jar file that collects together apache libraries necessary to compile, build and run GLI. There's no documentation on the various jar files that it contains, but I've guessed by inspecting the contents. 
+
+Some of the contents are from xercesImpl.jar and xml-apis.jar, which may need to be kept up to date together, since they are related and interdependent jar files.
+
+
+Commit 29729 added the contents of xml-apis.jar (sax) and xercesImpl.jar (both found in GS3/web/WEB-INF/lib else packages/tomcat/lib) into apache.jar, replacing the older xerces and xml-apis contents of apache.jar
+
+
+Overview of the contents of apache.jar and whether they got updated in the upcoming commit 29729.
+
+- javax: came with the updated version of xml-apis.jar
+- license: came with the updated version of xml-apis.jar
+
+- com: not sure where the contents came from, but they're not apache. Left them as-is.
+
+- org:
+	- w3c: replaced with w3c folder from xml-apis.jar from GS3/web/WEB-INF/lib (packages/tomcat/lib)	
+		also added /org/w3c/dom/html/HTMLDOMImplementation.class of xercesImpl.jar in here, to replace the older version
+	- xml: replaced with xml folder from xml-apis.jar from GS3/web/WEB-INF/lib (packages/tomcat/lib)
+	- saxpath: left as-is. See jaxen below.
+	- jaxen: left as-is. The latest version is 1.1.6 from jaxen.codehaus.org/releases.html, but it seems to be a separate project from apache's xerces and xml-apis and therefore not tightly connected with them. The latest version of jaxen includes saxpath, which means that jaxen and saxpath may be tightly connected to each other and require concurrent updating, even if they're not dependent on xerces and xml-apis and therefore not require concurrent updating with them.
+
+	- apache: most of the contents, being the html, wml, xerces and xml folders have been replaced by their counterparts from the current version of xercesImpl.jar used in GS3/web/WEB-INF/lib (packages/tomcat/lib)
+		- xmlcommons: replaced with org/apache/xmlcommons folder from xml-apis.jar from GS3/web/WEB-INF/lib (packages/tomcat/lib)
+		- log4j: left as-is.
+		- commons: left as-is. 
+ 			- codec: appears to be from commons-codec, 
+			- logging: appears to be from commons-logging.
+			- not sure where the 4 other subfolders of commons (beanutils, collections, digester, httpclient) are from.
+		
+
+Essentially, in commit 29729, the entire contents of GS3 web-lib's xml-apis.jar and xercesImpl.jar have been added to apache.jar after unzipping it, replacing earlier versions already present. The "javax" and "licence" toplevel folders of apache.jar are proper additions, deriving from xml-apis.jar. All other contents of apache.jar have been left as they were.
+
+
+After unzipping apache.jar, the contents were updated as described above.
+
+How to recreate the apache.jar:
+> cd gli/lib/apache
+> jar -cvf apache.jar *
+
+The apache.jar file gets generated inside gli/lib/apache, move it into gli/lib. Then commit it.
+
+Further changes to makejar.sh/bat, to mention the new javax subfolder, since it may also need to be unzipped from apache.jar along with the other contained libraries, so that xml-apis' javax too can be included in GLI.jar when this is generated, in case there is any dependence on javax in the rest of xml-apis' classes.
+
+
+
+
Index: /main/trunk/gli/makejar.bat
===================================================================
--- /main/trunk/gli/makejar.bat	(revision 29728)
+++ /main/trunk/gli/makejar.bat	(revision 29729)
@@ -117,5 +117,5 @@
 
   cd jar
-  "!JARPATH!\jar" xf ..\lib\apache.jar com org
+  "!JARPATH!\jar" xf ..\lib\apache.jar com org javax
   "!JARPATH!\jar" xf ..\lib\qfslib.jar de
   "!JARPATH!\jar" xf ..\lib\rsyntaxtextarea.jar org
@@ -159,9 +159,9 @@
 :jarcmd
 :: Jar everything up
-::"%JARPATH%\jar" cf GLI.jar .java.policy metadata.zip %optional% help -C classes dictionary.properties -C classes dictionary_es.properties -C classes dictionary_fr.properties -C classes dictionary_ru.properties -C classes feedback.properties -C classes images -C classes xml -C jar com -C jar de -C jar org
+::"%JARPATH%\jar" cf GLI.jar .java.policy metadata.zip %optional% help -C classes dictionary.properties -C classes dictionary_es.properties -C classes dictionary_fr.properties -C classes dictionary_ru.properties -C classes feedback.properties -C classes images -C classes xml -C jar com -C jar de -C jar org -C jar javax
 
 :: include all the properties (and other loose) files in the toplevel classes directory into the GLI.jar
 :: (Do something similar to get any and all folders inside the toplevel jar folder included into GLI.jar?)
-"%JARPATH%\jar" cf GLI.jar .java.policy metadata.zip %optional% help %propfiles% -C classes images -C classes xml -C jar com -C jar de -C jar org
+"%JARPATH%\jar" cf GLI.jar .java.policy metadata.zip %optional% help %propfiles% -C classes images -C classes xml -C jar com -C jar de -C jar org -C jar javax
 
 
Index: /main/trunk/gli/makejar.sh
===================================================================
--- /main/trunk/gli/makejar.sh	(revision 29728)
+++ /main/trunk/gli/makejar.sh	(revision 29729)
@@ -46,5 +46,5 @@
 # GLI class files and supporting libraries
 cd jar
-jar xf ../lib/apache.jar com org
+jar xf ../lib/apache.jar com org javax
 jar xf ../lib/qfslib.jar de
 jar xf ../lib/rsyntaxtextarea.jar org theme.dtd