Index: her-projects/nz-flag-design/trunk/main-form/svg-edit-local/advanced-icon.xml
===================================================================
--- /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/advanced-icon.xml	(revision 29770)
+++ 	(revision )
@@ -1,22 +1,0 @@
-<svg xmlns="http://www.w3.org/2000/svg">
-<!-- 
-	Sample icons file. This file looks like an SVG file with groups as its
-	children. Each group element has an ID that must match the ID of the button given
-	in the extension. The SVG inside the group makes up the actual icon, and
-	needs use a viewBox instead of width/height for it to scale	properly.
-	
-	Multiple icons can be included, each within their own group.
--->
-    <g id="advanced"> 
-        <svg width="290" height="290" xmlns="http://www.w3.org/2000/svg" xmlns:svg="http://www.w3.org/2000/svg">
-            <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->
-            <g>
-                <title>Show/Hide Advanced Features</title>
-                <ellipse ry="138.50001" rx="138.50001" id="svg_1" cy="158.8711" cx="149.06122" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="5" stroke="#000000" fill="#000000"/>
-                <path d="m241.75288,145.3091c15.76646,-18.12448 18.9362,-42.8737 10.35747,-63.67463l-31.65828,36.91841l-31.20456,-6.06812l-10.34077,-30.0617l31.57887,-36.83224c-21.72498,-5.47167 -45.65585,1.12635 -61.35255,19.18442c-16.55795,19.04544 -19.26741,45.40413 -9.02255,66.80138l-82.52099,94.89539c-8.77747,10.08925 -7.711,25.38509 2.37802,34.16252c10.0892,8.77078 25.38839,7.71091 34.16911,-2.3783l82.42503,-94.79622c22.6888,7.30687 48.55409,0.98058 65.19121,-18.15091l0,0z" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="5" stroke="#000000" fill="#ffffff" id="svg_19" transform="rotate(2.24623, 154.207, 155.149)"/>
-                <text font-weight="bold" transform="matrix(4.50803, 0, 0, 4.50803, -159.378, -305.57)" xml:space="preserve" text-anchor="middle" font-family="Serif" font-size="24" id="svg_3" y="97.5864" x="53.23026" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="0" stroke="#000000" fill="#bfbfbf">A</text>
-                <text font-weight="bold" id="svg_5" transform="matrix(4.50803, 0, 0, 4.50803, -159.378, -305.57)" xml:space="preserve" text-anchor="middle" font-family="Serif" font-size="24" y="125.42976" x="81.26555" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="0" stroke="#000000" fill="#bfbfbf">F</text>
-            </g>
-        </svg>
-    </g>
-</svg>
Index: /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/config.js
===================================================================
--- /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/config.js	(revision 29771)
+++ /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/config.js	(revision 29771)
@@ -0,0 +1,15 @@
+/*globals svgEditor*/
+
+svgEditor.setConfig({
+// extensions: [
+////    'ext-eyedropper.js',
+////    'ext-shapes.js',
+////    'ext-polygon.js',
+////    'ext-star.js'
+//      'ext-fliptools.js',
+//      'ext-advanced.js'
+//],
+//emptyStorageOnDecline: true
+        show_outside_canvas: false,
+        allowedOrigins: [window.location.origin] // May be 'null' (as a string) when used as a file:// URL
+});
Index: her-projects/nz-flag-design/trunk/main-form/svg-edit-local/ext-advanced.js
===================================================================
--- /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/ext-advanced.js	(revision 29770)
+++ 	(revision )
@@ -1,102 +1,0 @@
-/*globals svgEditor, svgCanvas, $*/
-/*jslint vars: true, eqeq: true*/
-/*
- * ext-helloworld.js
- *
- * Licensed under the MIT License
- *
- * Copyright(c) 2010 Alexis Deveria
- *
- */
-var advancedClicked = false;
-
-svgEditor.addExtension("Advanced", function() {'use strict';                                     
-                                               
-		return {
-			name: "Advanced",
-			// The icon for 'advanced features'
-			svgicons: svgEditor.curConfig.extPath + "advanced-icon.xml",
-			
-			// Multiple buttons can be added in this array
-			buttons: [{
-				// Must match the icon ID in advanced-icon.xml
-				id: "advanced", 
-				
-				// This indicates that the button will be added independently to the buttons in the button
-				// panel on the left side (it will not be unselected when one of the other buttons is selected)
-				type: "context",
-                panel: "tools_left",
-				
-				// Tooltip text
-				title: "Show/Hide Advanced Features", 
-				
-				// Events
-				events: {
-					'click': function() {
-                        // Toggle the advanced button
-                        if (advancedClicked == true)
-                        {
-                            advancedClicked = false;
-                            // Hide advanced features
-                            advancedButton(advancedClicked);
-                        }
-                        else
-                        {
-                            advancedClicked = true; 
-                            // Hide advanced features
-                            advancedButton(advancedClicked);
-                        }
-					}
-				}
-			}],
-			// This is triggered when the main mouse button is pressed down 
-			// on the editor canvas (not the tool panels)
-			mouseDown: function() {
-                advancedButton(advancedClicked);
-
-                // The returned object must include "started" with 
-                // a value of true in order for mouseUp to be triggered
-                return {started: true};
-			},
-			
-			// This is triggered from anywhere, but "started" must have been set
-			// to true (see above). Note that "opts" is an object with event info
-			mouseUp: function(opts) {
-                //advancedButton(advancedClicked);
-			},
-            
-            elementChanged: function(opts)
-            {
-                advancedButton(advancedClicked);
-            },
-            
-            callback: function(opts) {
-                advancedClicked = false;
-                advancedButton(advancedClicked);
-            }
-		};
-});
-
-// Function: advancedButton
-// Unless advanced button is selected, advanced features will be hidden
-this.advancedButton = function() {
-    
-    // 'Advanced feature' elements
-    var elements = ['sidepanels', 'editor_panel', 'tool_move_top', 'tool_move_bottom', 'tool_topath', 'tool_reorient', 'tool_make_link', 'idLabel', 'tool_angle', 'tool_blur', 'tool_position', 'xy_panel', 'rect_width_tool', 'rect_height_tool', 'cornerRadiusLabel'];
-
-    // Toggle the display attributes of the selected advanced elements
-    for (var i = 0; i < elements.length; i++) {
-        if (advancedClicked == false) {
-            document.getElementById(elements[i]).style.display = 'none';
-        }
-        else {
-            document.getElementById(elements[i]).style.display = 'block';
-        }
-    }
-    
-    // Remove strange extra 'tool_seps' when advanced features is not selected
-    if (advancedClicked == false)
-    {
-        $("#selected_panel :first-child").find(".tool_sep").css("display", "none")
-    }
-}
Index: /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/extensions/advanced-icon.xml
===================================================================
--- /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/extensions/advanced-icon.xml	(revision 29771)
+++ /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/extensions/advanced-icon.xml	(revision 29771)
@@ -0,0 +1,22 @@
+<svg xmlns="http://www.w3.org/2000/svg">
+<!-- 
+	Sample icons file. This file looks like an SVG file with groups as its
+	children. Each group element has an ID that must match the ID of the button given
+	in the extension. The SVG inside the group makes up the actual icon, and
+	needs use a viewBox instead of width/height for it to scale	properly.
+	
+	Multiple icons can be included, each within their own group.
+-->
+    <g id="advanced"> 
+        <svg width="290" height="290" xmlns="http://www.w3.org/2000/svg" xmlns:svg="http://www.w3.org/2000/svg">
+            <!-- Created with SVG-edit - http://svg-edit.googlecode.com/ -->
+            <g>
+                <title>Show/Hide Advanced Features</title>
+                <ellipse ry="138.50001" rx="138.50001" id="svg_1" cy="158.8711" cx="149.06122" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="5" stroke="#000000" fill="#000000"/>
+                <path d="m241.75288,145.3091c15.76646,-18.12448 18.9362,-42.8737 10.35747,-63.67463l-31.65828,36.91841l-31.20456,-6.06812l-10.34077,-30.0617l31.57887,-36.83224c-21.72498,-5.47167 -45.65585,1.12635 -61.35255,19.18442c-16.55795,19.04544 -19.26741,45.40413 -9.02255,66.80138l-82.52099,94.89539c-8.77747,10.08925 -7.711,25.38509 2.37802,34.16252c10.0892,8.77078 25.38839,7.71091 34.16911,-2.3783l82.42503,-94.79622c22.6888,7.30687 48.55409,0.98058 65.19121,-18.15091l0,0z" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="5" stroke="#000000" fill="#ffffff" id="svg_19" transform="rotate(2.24623, 154.207, 155.149)"/>
+                <text font-weight="bold" transform="matrix(4.50803, 0, 0, 4.50803, -159.378, -305.57)" xml:space="preserve" text-anchor="middle" font-family="Serif" font-size="24" id="svg_3" y="97.5864" x="53.23026" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="0" stroke="#000000" fill="#bfbfbf">A</text>
+                <text font-weight="bold" id="svg_5" transform="matrix(4.50803, 0, 0, 4.50803, -159.378, -305.57)" xml:space="preserve" text-anchor="middle" font-family="Serif" font-size="24" y="125.42976" x="81.26555" stroke-linecap="null" stroke-linejoin="null" stroke-dasharray="null" stroke-width="0" stroke="#000000" fill="#bfbfbf">F</text>
+            </g>
+        </svg>
+    </g>
+</svg>
Index: /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/extensions/ext-advanced.js
===================================================================
--- /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/extensions/ext-advanced.js	(revision 29771)
+++ /other-projects/nz-flag-design/trunk/main-form/svg-edit-local/extensions/ext-advanced.js	(revision 29771)
@@ -0,0 +1,102 @@
+/*globals svgEditor, svgCanvas, $*/
+/*jslint vars: true, eqeq: true*/
+/*
+ * ext-helloworld.js
+ *
+ * Licensed under the MIT License
+ *
+ * Copyright(c) 2010 Alexis Deveria
+ *
+ */
+var advancedClicked = false;
+
+svgEditor.addExtension("Advanced", function() {'use strict';                                     
+                                               
+		return {
+			name: "Advanced",
+			// The icon for 'advanced features'
+			svgicons: svgEditor.curConfig.extPath + "advanced-icon.xml",
+			
+			// Multiple buttons can be added in this array
+			buttons: [{
+				// Must match the icon ID in advanced-icon.xml
+				id: "advanced", 
+				
+				// This indicates that the button will be added independently to the buttons in the button
+				// panel on the left side (it will not be unselected when one of the other buttons is selected)
+				type: "context",
+                panel: "tools_left",
+				
+				// Tooltip text
+				title: "Show/Hide Advanced Features", 
+				
+				// Events
+				events: {
+					'click': function() {
+                        // Toggle the advanced button
+                        if (advancedClicked == true)
+                        {
+                            advancedClicked = false;
+                            // Hide advanced features
+                            advancedButton(advancedClicked);
+                        }
+                        else
+                        {
+                            advancedClicked = true; 
+                            // Hide advanced features
+                            advancedButton(advancedClicked);
+                        }
+					}
+				}
+			}],
+			// This is triggered when the main mouse button is pressed down 
+			// on the editor canvas (not the tool panels)
+			mouseDown: function() {
+                advancedButton(advancedClicked);
+
+                // The returned object must include "started" with 
+                // a value of true in order for mouseUp to be triggered
+                return {started: true};
+			},
+			
+			// This is triggered from anywhere, but "started" must have been set
+			// to true (see above). Note that "opts" is an object with event info
+			mouseUp: function(opts) {
+                //advancedButton(advancedClicked);
+			},
+            
+            elementChanged: function(opts)
+            {
+                advancedButton(advancedClicked);
+            },
+            
+            callback: function(opts) {
+                advancedClicked = false;
+                advancedButton(advancedClicked);
+            }
+		};
+});
+
+// Function: advancedButton
+// Unless advanced button is selected, advanced features will be hidden
+this.advancedButton = function() {
+    
+    // 'Advanced feature' elements
+    var elements = ['sidepanels', 'editor_panel', 'tool_move_top', 'tool_move_bottom', 'tool_topath', 'tool_reorient', 'tool_make_link', 'idLabel', 'tool_angle', 'tool_blur', 'tool_position', 'xy_panel', 'rect_width_tool', 'rect_height_tool', 'cornerRadiusLabel'];
+
+    // Toggle the display attributes of the selected advanced elements
+    for (var i = 0; i < elements.length; i++) {
+        if (advancedClicked == false) {
+            document.getElementById(elements[i]).style.display = 'none';
+        }
+        else {
+            document.getElementById(elements[i]).style.display = 'block';
+        }
+    }
+    
+    // Remove strange extra 'tool_seps' when advanced features is not selected
+    if (advancedClicked == false)
+    {
+        $("#selected_panel :first-child").find(".tool_sep").css("display", "none")
+    }
+}