Index: other-projects/nz-flag-design/trunk/enter-name.html
===================================================================
--- other-projects/nz-flag-design/trunk/enter-name.html	(revision 29776)
+++ 	(revision )
@@ -1,71 +1,0 @@
-<!DOCTYPE html>  
-<html id="story"><!-- class="story" id="idea"-->
-  <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
-    <!--<meta charset="utf-8"/>-->
-    <meta name="viewport" content="width=device-width, initial-scale=1"/>
-    <title>NZ Flag Design @ The University of Waikato</title>
-	
-    <script src="main-form/css/source-sans-pro.js"></script>
-    <link href="main-form/css/styles.css" rel="stylesheet"/>
-    <link href="main-form/css/storystyle.css" rel="stylesheet"/>
-	
-    
-    <link rel="stylesheet"  href="main-form/lib-slider/css/jquery.mobile-1.3.0.css"/>
-    <link rel="stylesheet" href="main-form/lib-slider/css/jqm-demos.css"/>
-    <link rel="stylesheet" href="main-form/lib-slider/css/swipe-page.css"/>
-    <link rel="shortcut icon" href="main-form/lib-slider/favicon.ico"/>		
-
-    <script src="main-form/lib/jquery-1.8.2.min.js"></script>
-    
-    <script src="main-form/lib-slider/js/jquery.mobile.demos.js"></script>
-    <script src="main-form/lib-slider/js/jquery.mobile-1.3.0.js"></script> 
-
-  </head>
-
-  <body>
-    <div data-role="page" id="innovation-story-01" class="demo-page">
-      
-      <div data-role="content">
-		  
-	<div class="story-page" id="static-info-page">
-	  <!-- put custom content here -->
-	  
-	  <div class="story-title" style="margin-left: 25px;">
-	    <h1 class="center">Fieldays Innovation Centre</h1>
-	    <h1 class="center">The University of Waikato</h1>
-
-	    <p class="center">-- The New Zealand Flag Debate</p>
-
-	    <div class="center">
-	      <img alt="" src="//upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Flag_of_New_Zealand.svg/250px-Flag_of_New_Zealand.svg.png" srcset="//upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Flag_of_New_Zealand.svg/375px-Flag_of_New_Zealand.svg.png 1.5x, //upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Flag_of_New_Zealand.svg/500px-Flag_of_New_Zealand.svg.png 2x" data-file-width="1200" data-file-height="600" height="125" width="250">
-	    </div>
-
-
-	    <p>Welcome to ...
-	      Lorem ipsum dolor sit amet, consectetur adipiscing elit,
- 	      sed do eiusmod tempor incididunt ut labore et dolore
- 	      magna aliqua.
-	    </p>
-
-	    <div>
-	      <!-- darker green background color: #a8cb45; -->
-	      <button style="background-color:#95bd26;" onclick="window.location.href='main-form/index.html'">
-		<div style="font-size: 200%">
-		  Enter
-		</div>
-	      </button>
-	    </div>
-
-	  </div>
-	  <!-- end of putting custom content -->
-
-	</div> <!-- end story-page-->		
-	
-      </div><!-- /content -->
-      
-    </div><!-- /page -->
-    
-  </body>
-</html>
-  
Index: other-projects/nz-flag-design/trunk/index.html
===================================================================
--- other-projects/nz-flag-design/trunk/index.html	(revision 29777)
+++ other-projects/nz-flag-design/trunk/index.html	(revision 29777)
@@ -0,0 +1,71 @@
+<!DOCTYPE html>  
+<html id="story"><!-- class="story" id="idea"-->
+  <head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
+    <!--<meta charset="utf-8"/>-->
+    <meta name="viewport" content="width=device-width, initial-scale=1"/>
+    <title>NZ Flag Design @ The University of Waikato</title>
+	
+    <script src="main-form/css/source-sans-pro.js"></script>
+    <link href="main-form/css/styles.css" rel="stylesheet"/>
+    <link href="main-form/css/storystyle.css" rel="stylesheet"/>
+	
+    
+    <link rel="stylesheet"  href="main-form/lib-slider/css/jquery.mobile-1.3.0.css"/>
+    <link rel="stylesheet" href="main-form/lib-slider/css/jqm-demos.css"/>
+    <link rel="stylesheet" href="main-form/lib-slider/css/swipe-page.css"/>
+    <link rel="shortcut icon" href="main-form/lib-slider/favicon.ico"/>		
+
+    <script src="main-form/lib/jquery-1.8.2.min.js"></script>
+    
+    <script src="main-form/lib-slider/js/jquery.mobile.demos.js"></script>
+    <script src="main-form/lib-slider/js/jquery.mobile-1.3.0.js"></script> 
+
+  </head>
+
+  <body>
+    <div data-role="page" id="innovation-story-01" class="demo-page">
+      
+      <div data-role="content">
+		  
+	<div class="story-page" id="static-info-page">
+	  <!-- put custom content here -->
+	  
+	  <div class="story-title" style="margin-left: 25px;">
+	    <h1 class="center">Fieldays Innovation Centre</h1>
+	    <h1 class="center">The University of Waikato</h1>
+
+	    <p class="center">-- The New Zealand Flag Debate</p>
+
+	    <div class="center">
+	      <img alt="" src="//upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Flag_of_New_Zealand.svg/250px-Flag_of_New_Zealand.svg.png" srcset="//upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Flag_of_New_Zealand.svg/375px-Flag_of_New_Zealand.svg.png 1.5x, //upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Flag_of_New_Zealand.svg/500px-Flag_of_New_Zealand.svg.png 2x" data-file-width="1200" data-file-height="600" height="125" width="250">
+	    </div>
+
+
+	    <p>Welcome to ...
+	      Lorem ipsum dolor sit amet, consectetur adipiscing elit,
+ 	      sed do eiusmod tempor incididunt ut labore et dolore
+ 	      magna aliqua.
+	    </p>
+
+	    <div>
+	      <!-- darker green background color: #a8cb45; -->
+	      <button style="background-color:#95bd26;" onclick="window.location.href='main-form/index.html'">
+		<div style="font-size: 200%">
+		  Enter
+		</div>
+	      </button>
+	    </div>
+
+	  </div>
+	  <!-- end of putting custom content -->
+
+	</div> <!-- end story-page-->		
+	
+      </div><!-- /content -->
+      
+    </div><!-- /page -->
+    
+  </body>
+</html>
+  