Index: other-projects/nz-flag-design/trunk/main-form/enter-name.html
===================================================================
--- other-projects/nz-flag-design/trunk/main-form/enter-name.html	(revision 29778)
+++ other-projects/nz-flag-design/trunk/main-form/enter-name.html	(revision 29778)
@@ -0,0 +1,107 @@
+<!DOCTYPE html>  
+<html id="story">
+  <head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
+
+    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
+    <meta http-equiv="Pragma" content="no-cache" />
+    <meta http-equiv="Expires" content="0" />
+
+<!--
+    <meta name="viewport" content="width=device-width, initial-scale=1"/>
+-->
+    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
+    <meta http-equiv="X-UA-Compatible" content="IE=Edge, chrome=1"/>
+    <meta name="apple-mobile-web-app-capable" content="yes"/>
+    
+    <script src="css/source-sans-pro.js"></script>
+    <link href="css/styles.css" rel="stylesheet"/>
+    <link href="css/storystyle.css" rel="stylesheet"/>
+	
+    <link rel="stylesheet"  href="lib-slider/css/jquery.mobile-1.3.0.css"/>
+    <link rel="stylesheet" href="lib-slider/css/jqm-demos.css"/>
+    <link rel="stylesheet" href="lib-slider/css/swipe-page.css"/>
+    <link rel="shortcut icon" href="lib-slider/nzflag-icon64.png"/>
+
+    <!-- jQuery -->
+    <script src="lib/jquery-1.11.1.min.js"></script>
+    <script src="lib/jquery.cookie.js"></script>
+
+    <!-- page swipe -->
+    <script src="lib-slider/js/jquery.mobile.demos.js"></script>
+    <script src="lib-slider/js/jquery.mobile-1.3.0.js"></script>
+    <script src="lib-slider/js/swipe-page.js"></script>	
+
+    <!-- accordion bars -->
+    <link href="css/liteaccordion.css" rel="stylesheet" />
+    <script src="js/jquery.easing.1.3.js"></script>
+    <script src="js/liteaccordion-with-resize.jquery.js"></script>
+
+    <!-- canvg library -->
+    <script type="text/javascript" src="lib/canvg/rgbcolor.js"></script> 
+    <script type="text/javascript" src="lib/canvg/StackBlur.js"></script>
+    <script type="text/javascript" src="lib/canvg/canvg.js"></script> 
+      
+    <!-- spectrum for colour palette -->
+    <!--  For documentation see https://bgrins.github.io/spectrum -->
+    <script src='bgrins-spectrum/spectrum.js'></script>
+    <link rel='stylesheet' href='bgrins-spectrum/spectrum.css' />
+      
+    <!-- css for choose-palette -->
+    <style>
+        .ui-slider-track {
+            background-color: #ECECEC;
+        }
+        .ui-slider-handle {
+            background-color: #a05a2c; /* used to be #E7924B; */
+        }
+    </style>
+      
+    <title>Enter Name</title>
+
+    <script>
+        // Flag settings - used to initialise the svg canvas to the user's preferences
+        var flagCanvasSettings = { backgroundColor: "#000066", width: 800, height: 400 };
+
+    </script>
+
+
+  </head>
+  <body>
+    <div data-role="page" id="enter-name-page" 
+	 class="demo-page" 
+	 data-dom-cache="true" 
+	 data-next="choose-canvas">
+      <div data-role="content">
+	  
+	<div data-role="controlgroup" class="control" data-mini="true">        	
+          <a href="#" class="next right-button idea-fwd" style="right:1%;"></a>
+	  <a href="#" class="prev left-button gen-back" style="left:1%;"></a>
+        </div>  
+	  
+ 	<a target="_parent" href="../index.html" class="back-button back-left"></a>	  
+	  
+	<div class="story-page">
+
+	  <!-- put custom content here -->	  
+	  <div class="story-title">
+	    <h1 id="enter-name-header" class="center">Enter Name</h1>
+<!--
+	    <p class="center">- - xx </p>
+-->
+	    <p>
+	      Your Name: 
+	    </p>
+	    <form>
+	      <input type="text" autofocus="autofocus" style="color: white;" />
+	    </form>
+	  </div>
+	  <!-- end of putting custom content -->
+
+	</div> <!-- end story-page-->		
+	
+      </div><!-- /content -->
+
+    </div><!-- /page -->	  
+  </body>
+</html>
Index: other-projects/nz-flag-design/trunk/main-form/index.html
===================================================================
--- other-projects/nz-flag-design/trunk/main-form/index.html	(revision 29777)
+++ 	(revision )
@@ -1,107 +1,0 @@
-<!DOCTYPE html>  
-<html id="story">
-  <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
-
-    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
-    <meta http-equiv="Pragma" content="no-cache" />
-    <meta http-equiv="Expires" content="0" />
-
-<!--
-    <meta name="viewport" content="width=device-width, initial-scale=1"/>
--->
-    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
-    <meta http-equiv="X-UA-Compatible" content="IE=Edge, chrome=1"/>
-    <meta name="apple-mobile-web-app-capable" content="yes"/>
-    
-    <script src="css/source-sans-pro.js"></script>
-    <link href="css/styles.css" rel="stylesheet"/>
-    <link href="css/storystyle.css" rel="stylesheet"/>
-	
-    <link rel="stylesheet"  href="lib-slider/css/jquery.mobile-1.3.0.css"/>
-    <link rel="stylesheet" href="lib-slider/css/jqm-demos.css"/>
-    <link rel="stylesheet" href="lib-slider/css/swipe-page.css"/>
-    <link rel="shortcut icon" href="lib-slider/nzflag-icon64.png"/>
-
-    <!-- jQuery -->
-    <script src="lib/jquery-1.11.1.min.js"></script>
-    <script src="lib/jquery.cookie.js"></script>
-
-    <!-- page swipe -->
-    <script src="lib-slider/js/jquery.mobile.demos.js"></script>
-    <script src="lib-slider/js/jquery.mobile-1.3.0.js"></script>
-    <script src="lib-slider/js/swipe-page.js"></script>	
-
-    <!-- accordion bars -->
-    <link href="css/liteaccordion.css" rel="stylesheet" />
-    <script src="js/jquery.easing.1.3.js"></script>
-    <script src="js/liteaccordion-with-resize.jquery.js"></script>
-
-    <!-- canvg library -->
-    <script type="text/javascript" src="lib/canvg/rgbcolor.js"></script> 
-    <script type="text/javascript" src="lib/canvg/StackBlur.js"></script>
-    <script type="text/javascript" src="lib/canvg/canvg.js"></script> 
-      
-    <!-- spectrum for colour palette -->
-    <!--  For documentation see https://bgrins.github.io/spectrum -->
-    <script src='bgrins-spectrum/spectrum.js'></script>
-    <link rel='stylesheet' href='bgrins-spectrum/spectrum.css' />
-      
-    <!-- css for choose-palette -->
-    <style>
-        .ui-slider-track {
-            background-color: #ECECEC;
-        }
-        .ui-slider-handle {
-            background-color: #a05a2c; /* used to be #E7924B; */
-        }
-    </style>
-      
-    <title>Enter Name</title>
-
-    <script>
-        // Flag settings - used to initialise the svg canvas to the user's preferences
-        var flagCanvasSettings = { backgroundColor: "#000066", width: 800, height: 400 };
-
-    </script>
-
-
-  </head>
-  <body>
-    <div data-role="page" id="enter-name-page" 
-	 class="demo-page" 
-	 data-dom-cache="true" 
-	 data-next="choose-canvas">
-      <div data-role="content">
-	  
-	<div data-role="controlgroup" class="control" data-mini="true">        	
-          <a href="#" class="next right-button idea-fwd" style="right:1%;"></a>
-	  <a href="#" class="prev left-button gen-back" style="left:1%;"></a>
-        </div>  
-	  
- 	<a target="_parent" href="../index.html" class="back-button back-left"></a>	  
-	  
-	<div class="story-page">
-
-	  <!-- put custom content here -->	  
-	  <div class="story-title">
-	    <h1 id="enter-name-header" class="center">Enter Name</h1>
-<!--
-	    <p class="center">- - xx </p>
--->
-	    <p>
-	      Your Name: 
-	    </p>
-	    <form>
-	      <input type="text" autofocus="autofocus" style="color: white;" />
-	    </form>
-	  </div>
-	  <!-- end of putting custom content -->
-
-	</div> <!-- end story-page-->		
-	
-      </div><!-- /content -->
-
-    </div><!-- /page -->	  
-  </body>
-</html>